<?php 
session_start();

?>

<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Unidad de Medida
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Mantenimiento Interno</li>
				<li class="breadcrumb-item" >Catalogo</li>
				<li class="breadcrumb-item active">Unid. Medida</li>
            </ol>
          </div>
		</div>
	</div>
</div>
<section class="content">
	<div class="container-fluid">
	<div class="row">
	    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12" style="padding:0px;"  >
		    <div class="card">
		        <div class="card-header">
		        <?php if ($_SESSION['usuariogrupo_id']=='1'){ ?>		
				<button id="btn_agregar" onClick="unidad_form('insertar')" class="btn btn-primary">Agregar</button>
				<?php }?>
				  <button id="btn_actualizar" class="btn btn-default">Actualizar</button>		        
		        </div>
		    </div>
		</div>
	</div>
	</div>
</section>
	<!-- formulario de registro -->
			<div class="modal fade" id="div_unidad_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;">
			<div class="modal-dialog " style="width: 60% !important;" role="document" >
			<div class="modal-content">
			<div class="modal-body div_unidad_form" >
			</div>
			<br />
			<br />
			</div>
			</div>
			</div>
			
		<!-- tabla de registros -->	
		<div id="div_unidad_tabla" ></div>
		
<script type="text/javascript">
	function unidad_tabla()
{	
	$.ajax({
		type: "POST",
		url: "../unidad/unidad_tabla.php",
		async:true,
		dataType: "html",                      
		data: ({
			//pro_est:	$('#cmb_fil_pro_est').val()
		}),
		beforeSend: function() {
			$('#div_unidad_tabla').addClass("ui-state-disabled");
        },
		success: function(html){
			$('#div_unidad_tabla').html(html);
		},
		complete: function(){			
			$('#div_unidad_tabla').removeClass("ui-state-disabled");
		}
	});     
}
function unidad_form(act,idf)
{
	$('#div_unidad_form_dialog').modal();	
	$.ajax({
		type: "POST",
		url: "../unidad/unidad_form.php",
		async:true,
		dataType: "html",                      
		data: ({
			action: act,
			uni_id:	idf,
			vista:	'unidad'
		}),
		beforeSend: function() {	
			var div = "<center><div class='overlay col-lg-12 col-sm-12 col-xs-12' style='background-color:#fff;padding:0%;font-size:3rem;' >  <i class='fa fa-refresh fa-spin ' ></i> </div>  </center>";	
			$('.div_unidad_form').html(div);
        },
		success: function(html){
			$('.div_unidad_form').html(html);			
		}
	});
}
function eliminar_unidad(id)
{   
	$('#msj_unidad').hide();   
	if(confirm("Realmente desea eliminar?")){
		$.ajax({
			type: "POST",
			url: "../unidad/unidad_reg.php",
			async:true,
			dataType: "html",
			data: ({
				action: "eliminar",
				id:		id
			}),
			beforeSend: function() {
				
			},
			success: function(html){
				toastr["success"](html);
			},
			complete: function(){
				unidad_tabla();
			}
		});
	}
}
$(function() {
		$('#btn_actualizar').click(function() {
			$("#contenido").load("../unidad/unidad_vista.php");
		});
		
		$("#div_unidad_form_dialog").on('hidden.bs.modal', function(){
          	$("#contenido").load("../unidad/unidad_vista.php");
		});
		unidad_tabla();
		
		setTitle("UNIDAD MEDIDA - "+nombreEmpresa);	
 
	});
</script>